import fs from "node:fs/promises";
import { config } from "../config"

export const ensureDataPaths = async () => {
  await fs.mkdir(config.dataDir, { recursive: true });
  await fs.mkdir(config.torrentArchiveDir, { recursive: true });
  await fs.mkdir(config.loopLogsDir, { recursive: true });
  await fs.mkdir(config.loopLogsArchiveDir, { recursive: true });
  await fs.mkdir(config.watcherDownloadsDir, { recursive: true });
  await fs.mkdir(config.watcherRuntimeDir, { recursive: true });
};
